# Class: cCameraGroupFilterSettings

The cCameraGroupFilterSettings class determines 2D object filter settings for a camera group, which consists of multiple cameras.

* FilterNone will not use any filters.
* FilterSizeRoundness distinguishes marker reflections by the marker size and circularity of the reflection. More specifically, it looks at the number of pixels seen by the imager (MinMarkerSize and MaxMarkerSize) as well as the symmetry ratio of the shape of reflections (MinRoundness).
* Use [TT\_CameraGroupFilterSettings](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_cameragroupfiltersettings) and [TT\_SetCameraGroupFilterSettings](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_setcameragroupfiltersettings) functions to obtain the existing filter settings and to apply an instance to a camera group.

For explanations on this filter in Motive, read through the [Reconstruction and 2D Mode](/v2.3/motive/reconstruction-and-2d-mode.md) page.

### Declaration: NPTrackingTools.h

```
class TTAPI cCameraGroupFilterSettings
{
public:
    cCameraGroupFilterSettings();
    ~cCameraGroupFilterSettings();

    enum eFilterType
    {
        FilterNone,
        FilterSizeRoundness,
        FilterCount
    };

    eFilterType  FilterType;
    int          MinMarkerSize;
    int          MaxMarkerSize;
    float        MinRoundness;
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.optitrack.com/v2.3/developer-tools/camera-sdk/camera-sdk-classes/class-ccameragroupfiltersettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
